Crawl
Download the content of a completed job
Downloads the content from a completed crawl job. The response format depends on the job type
Path Parameters
job_id*string
The job ID to download content for
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://edge.uprock.com/crawl/v1/jobs/f2bf9f8b-10ee-4c61-9633-4eacc3e8aac8/download"{
"fullPage": "string",
"hasFullPage": true,
"hasPerformanceMetrics": true,
"hasReader": true,
"hasScreenshot": true,
"id": "string",
"mainRequest": {
"headers": [
{
"name": "string",
"value": "string"
}
],
"jobId": "string",
"method": "string",
"timeoutSec": 0,
"url": "string"
},
"mainResult": {
"body": "string",
"errorMessage": "string",
"headers": [
{
"name": "string",
"value": "string"
}
],
"sizeBytes": 0,
"statusCode": 0,
"success": true,
"timeUs": 0,
"tlsCipherSuite": "string",
"tlsVersion": "string"
},
"performanceMetrics": {
"crashOrTimeoutFlag": true,
"cumulativeLayoutShift": 0,
"decodedBodySize": 0,
"devicePixelRatio": 0,
"dnsTimeMs": 0,
"domContentLoaded": 0,
"effectiveConnectionType": "string",
"encodedBodySize": 0,
"firstContentfulPaint": 0,
"firstPaint": 0,
"largestContentfulPaint": 0,
"longTaskCount": 0,
"maxLongTask": 0,
"networkType": "string",
"protocol": "string",
"tcpTimeMs": 0,
"timeToFirstByte": 0,
"tlsTimeMs": 0,
"totalBlockingTime": 0,
"totalLoadTime": 0,
"transferSize": 0,
"viewportHeight": 0,
"viewportWidth": 0
},
"readerContent": "string",
"requestResults": {
"property1": {
"sizeBytes": 0,
"statusCode": 0,
"success": true
},
"property2": {
"sizeBytes": 0,
"statusCode": 0,
"success": true
}
},
"screenshot": "string"
}"string""invalid request: url is required""unauthorized: invalid or missing API key""not found: job does not exist or you are not authorized to view it""conflict: job is not yet completed""gone: job has been archived and content is no longer available""internal server error: please try again later"Get detailed information about a crawl job GET
Retrieves detailed information about a crawl job including all headers, cookies, and result data.
Get status of multiple crawl jobs POST
Retrieves the current status of multiple crawl jobs in a single request. Maximum 1000 job IDs per request. Jobs that don't exist or that the user is not authorized to view will return an error object with code "not_found". Invalid UUIDs will return an error with code "invalid_uuid".